Creates a new Live Call Router from provided data
curl --request POST \
--url https://api.rootly.com/v1/live_call_routers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "live_call_routers",
"attributes": {
"kind": "voicemail",
"name": "<string>",
"country_code": "AU",
"phone_type": "local",
"phone_number": "<string>",
"voicemail_greeting": "<string>",
"paging_targets": [
{
"id": "<string>",
"type": "service",
"alert_urgency_id": "<string>"
}
],
"enabled": true,
"caller_greeting": "<string>",
"waiting_music_url": "https://storage.rootly.com/twilio/voicemail/ClockworkWaltz.mp3",
"sent_to_voicemail_delay": 123,
"should_redirect_to_voicemail_on_no_answer": true,
"escalation_level_delay_in_seconds": 123,
"should_auto_resolve_alert_on_call_end": true,
"alert_urgency_id": "<string>",
"calling_tree_prompt": "<string>",
"escalation_policy_trigger_params": {
"id": "<string>",
"type": "service"
}
}
}
}
'{
"data": {
"id": "d3af2771-5739-4f6a-93de-c891b67f3010",
"type": "live_call_routers",
"attributes": {
"kind": "voicemail",
"name": "live_call_router-prod",
"country_code": "US",
"phone_type": "toll_free",
"phone_number": "+14155552344",
"voicemail_greeting": "hello",
"slug": "live_call_router-prod",
"enabled": true,
"created_at": "2026-02-07T16:49:32.703-08:00",
"updated_at": "2026-02-07T16:49:32.719-08:00",
"calling_tree_prompt": "Press 1 for service, Press 2 for escalation policy",
"paging_targets": [
{
"id": "12df704d-c7a4-41f9-88e1-0305aecf82d9",
"type": "service",
"alert_urgency_id": "308f9850-cbc8-4770-9178-04149ca6600a"
},
{
"id": "fa8d2bb4-1f8e-426d-8253-510aacbe50a8",
"type": "escalation_policy",
"alert_urgency_id": "f15d32fc-e11c-4be4-b267-6a6ec2483be6"
}
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
live_call_router created with multiple notification targets
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/live_call_routers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "live_call_routers",
"attributes": {
"kind": "voicemail",
"name": "<string>",
"country_code": "AU",
"phone_type": "local",
"phone_number": "<string>",
"voicemail_greeting": "<string>",
"paging_targets": [
{
"id": "<string>",
"type": "service",
"alert_urgency_id": "<string>"
}
],
"enabled": true,
"caller_greeting": "<string>",
"waiting_music_url": "https://storage.rootly.com/twilio/voicemail/ClockworkWaltz.mp3",
"sent_to_voicemail_delay": 123,
"should_redirect_to_voicemail_on_no_answer": true,
"escalation_level_delay_in_seconds": 123,
"should_auto_resolve_alert_on_call_end": true,
"alert_urgency_id": "<string>",
"calling_tree_prompt": "<string>",
"escalation_policy_trigger_params": {
"id": "<string>",
"type": "service"
}
}
}
}
'{
"data": {
"id": "d3af2771-5739-4f6a-93de-c891b67f3010",
"type": "live_call_routers",
"attributes": {
"kind": "voicemail",
"name": "live_call_router-prod",
"country_code": "US",
"phone_type": "toll_free",
"phone_number": "+14155552344",
"voicemail_greeting": "hello",
"slug": "live_call_router-prod",
"enabled": true,
"created_at": "2026-02-07T16:49:32.703-08:00",
"updated_at": "2026-02-07T16:49:32.719-08:00",
"calling_tree_prompt": "Press 1 for service, Press 2 for escalation policy",
"paging_targets": [
{
"id": "12df704d-c7a4-41f9-88e1-0305aecf82d9",
"type": "service",
"alert_urgency_id": "308f9850-cbc8-4770-9178-04149ca6600a"
},
{
"id": "fa8d2bb4-1f8e-426d-8253-510aacbe50a8",
"type": "escalation_policy",
"alert_urgency_id": "f15d32fc-e11c-4be4-b267-6a6ec2483be6"
}
]
}
}
}